/************************************************************************
 *
 *  project_config.h
 *
 *  external parameters was included in this file
 * 
 *
 ************************************************************************/

#ifndef PROJECT_CONFIG_H
#define PROJECT_CONFIG_H
//********************************************************************
//Board Components
//********************************************************************
//flag                      value
//********************************************************************
#define Board_CPU_SATURN
#define Board_Chip_Rev_1186
#define Board_HWSETTING_saturn___BGA.demo.256M_2DDR.new
#define Board_DRAM_Block			256
#define Board_DRAM_Number			2
#define Board_DRAM_Size				512
#define Board_SATA_NULL
#define Board_IDE_NULL
#define Board_USB_Driver_Disabled
#define Board_IDE2_NULL
#define Board_LAN_8139cp
#define Board_RTC_default
#define Board_VFD_NULL
#define Board_GPIO_NULL
#define Board_PWM_NULL
#define Board_TVD_NULL
//********************************************************************
//GPIO setup
//********************************************************************
//flag                      value
//********************************************************************
//********************************************************************
//Config
//********************************************************************
//flag                      value
//********************************************************************
#define Config_Product_avhdd
#define Config_Encryption_FALSE
#define Config_PLL_Prog_FALSE
#define Config_Time_Evaluation_FALSE
#define Config_NOR_BOOT_NAND_FALSE
#define Config_Component_Ouput_TRUE
#define Config_CVBS_Ouput_TRUE
#define Config_Hdmi_Ouput_TRUE
#define Config_One_Step_TRUE
//********************************************************************
//config HDMI Keys
//********************************************************************
//flag                      value
//********************************************************************
//********************************************************************
//config password to allow input from UART when secure boot (maximum 255)
//********************************************************************
//flag                      value
//********************************************************************
//********************************************************************
//RSA key file & AES key file (under bin/image)
//********************************************************************
//flag                      value
//********************************************************************
#define Config_Secure_Key_FALSE
#define Config_Secure_RSA_Key_File			"rsa_key___pem"
#define Config_Secure_AES_Seed_File			"key_img_seed___bin"
//********************************************************************
//Boot parameters
//********************************************************************
//flag                      value
//********************************************************************
#define Param_companyID			"0000"
#define Param_boardID			"0402"
#define Param_version			"1160"
#define Param_MAC_hi			0x00112233
#define Param_MAC_lo			0x44550000
//********************************************************************
//Logo attribute
//if still image 
///* logo is NTSC ,logo2 is PAL , logo3 is 1080p50, logo4 is 1080p60,*/
///* logo5 is reserved*/ 
//logo~ logo5 are for normal display   
///*for compatible with old version*/
//logo6,9,12,15 are corresponded to  rescue install diaplay NTSC, PAL, 1080p50, 1080p60 
//
//logo7,10,13,16 are corresponded to no HDD display NTSC, PAL, 1080p50, 1080p60 
// 
//logo8,11,14,17 are corresponded to OTG dispaly NTSC, PAL, 1080p50, 1080p60 
//logo18,19,20 are reserved
//********************************************************************
//flag                      value
//********************************************************************
#define Logo_Source_FLASH
#define Logo_Offset			662
#define Logo_Reg5370			0x808010
#define Logo_Reg5374			0x80802b
#define Logo_Reg5378			0x006100
#define Logo_Reg537c			0x000000
#define Logo_Type_NTSC
#define Logo_File_Name			"x_ntsc.bmp"
#define Logo2_Source_FLASH
#define Logo2_Offset			758
#define Logo2_Reg5370			0x808010
#define Logo2_Reg5374			0x80802b
#define Logo2_Reg5378			0x006100
#define Logo2_Reg537c			0x000000
#define Logo2_Type_PAL
#define Logo2_File_Name			"x_pal.bmp"
#define Logo3_Source_NULL
#define Logo3_Type_1080p50
#define Logo3_File_Name			""
#define Logo4_Source_NULL
#define Logo4_Type_1080p60
#define Logo4_File_Name			""
#define Logo5_Source_NULL
#define Logo5_Type_PAL
#define Logo5_File_Name			""
#define Logo6_Source_FLASH
#define Logo6_Offset			1204
#define Logo6_Reg5370			0x808010
#define Logo6_Reg5374			0x49b15b
#define Logo6_Reg5378			0x5d9f42
#define Logo6_Reg537c			0x8080eb
#define Logo6_Type_NTSC
#define Logo6_File_Name			"realtek_ntsc_enter_rescue.bmp"
#define Logo7_Source_FLASH
#define Logo7_Offset			2143
#define Logo7_Reg5370			0xef5b51
#define Logo7_Reg5374			0x8080eb
#define Logo7_Reg5378			0x8080d5
#define Logo7_Reg537c			0x000000
#define Logo7_Type_NTSC
#define Logo7_File_Name			"RTD1263_720x480_24bit_NoHDD.bmp"
#define Logo8_Source_FLASH
#define Logo8_Offset			1380
#define Logo8_Reg5370			0x808010
#define Logo8_Reg5374			0x49b25b
#define Logo8_Reg5378			0x5b9f42
#define Logo8_Reg537c			0x8080eb
#define Logo8_Type_NTSC
#define Logo8_File_Name			"realtek_ntsc_OTG.bmp"
#define Logo9_Source_FLASH
#define Logo9_Offset			1300
#define Logo9_Reg5370			0x808010
#define Logo9_Reg5374			0x49b15b
#define Logo9_Reg5378			0x5d9f42
#define Logo9_Reg537c			0x8080eb
#define Logo9_Type_PAL
#define Logo9_File_Name			"realtek_pal_enter_rescue.bmp"
#define Logo10_Source_NULL
#define Logo10_Type_NTSC
#define Logo10_File_Name			""
#define Logo11_Source_NULL
#define Logo11_Type_NTSC
#define Logo11_File_Name			""
#define Logo12_Source_NULL
#define Logo12_Type_NTSC
#define Logo12_File_Name			""
#define Logo13_Source_NULL
#define Logo13_Type_NTSC
#define Logo13_File_Name			""
#define Logo14_Source_NULL
#define Logo14_Type_NTSC
#define Logo14_File_Name			""
#define Logo15_Source_NULL
#define Logo15_Type_NTSC
#define Logo15_File_Name			""
#define Logo16_Source_NULL
#define Logo16_Type_NTSC
#define Logo16_File_Name			""
#define Logo17_Source_NULL
#define Logo17_Type_NTSC
#define Logo17_File_Name			""
#define Logo18_Source_NULL
#define Logo18_Type_NTSC
#define Logo18_File_Name			""
#define Logo19_Source_NULL
#define Logo19_Type_NTSC
#define Logo19_File_Name			""
#define Logo20_Source_NULL
#define Logo20_Type_NTSC
#define Logo20_File_Name			""
//********************************************************************
//Rescue Linux attribute
//********************************************************************
//flag                      value
//********************************************************************
#define Rescue_Source_FLASH
#define Rescue_Install_Key			0x09
#define Rescue_GPIO_Switch_TRUE
#define Rescue_Install_With_GPIO_Address			0xb801b124
#define Rescue_Install_With_GPIO_Mask			0x10000000
#define Rescue_Install_With_GPIO_Value			0x00000000	// low active
#define Rescue_Loader_Param			""
#define Rescue_File_Name			vmlinux.bin.lzma
//********************************************************************
//Linux attribute
//********************************************************************
//flag                      value
//********************************************************************
#define Linux_Source_FLASH
#define Linux_Loader_Param			"go 803bc000 rootfstype=squashfs root=31:02 mtdparts="
//********************************************************************
//USB OTG device mode attribute
//********************************************************************
//flag                      value
//********************************************************************
#define USB_OTG_mode_Disabled
#define USB_OTG_mode_ISO_GPIO_Number			2
#define USB_OTG_mode_ISO_GPIO_Value			0x1
#define USB_OTG_mode_lower_speed_Disabled
//********************************************************************
//Shell Setup
//********************************************************************
//flag                      value
//********************************************************************
#define Cmd_compare_On
#define Cmd_comptime_On
#define Cmd_copy_On
#define Cmd_cp0_Off
#define Cmd_cp1_Off
#define Cmd_disk_Off
#define Cmd_dump_On
#define Cmd_erase_On
#define Cmd_fill_On
#define Cmd_format_Off
#define Cmd_freadwrite_On
#define Cmd_go_On
#define Cmd_help_On
#define Cmd_info_On
#define Cmd_iping_On
#define Cmd_load_On
#define Cmd_port_On
#define Cmd_reset_On
#define Cmd_setenv_On
#define Cmd_stty_On
#define Cmd_test_On
#define Cmd_continue_On
#define Cmd_saveenv_On
#define Cmd_lzma_On
#define Cmd_wait_On
#define Cmd_keyset_Off
//********************************************************************
//user defined 
//********************************************************************
//flag                      value
//********************************************************************
#define system_parameters_4 "12V5V_GPIO=35,hion cr_pw=b100-1f"
#define 		     Audio_Mute_GPIO	0xb8007104 
#define 		     Audio_Mute_Bit	0x8	

#endif //#ifndef EXTERN_PARAM_H	
